| ghc-6.12.3: The GHC API | Contents | Index

CmmCallConv

Synopsis

data ParamLocation a

= RegisterParam GlobalReg
| StackParam a

type ArgumentFormat a b = [(a, ParamLocation b)]
assignArguments :: (a -> CmmType) -> [a] -> ArgumentFormat a WordOff
assignArgumentsPos :: Outputable a => Convention -> (a -> CmmType) -> [a] -> ArgumentFormat a ByteOff
argumentsSize :: (a -> CmmType) -> [a] -> WordOff

Documentation
data ParamLocation a

Constructors

RegisterParam GlobalReg |
StackParam a |

Instances

Outputable a => Outputable (ParamLocation a)

type ArgumentFormat a b = [(a, ParamLocation b)]
assignArguments :: (a -> CmmType) -> [a] -> ArgumentFormat a WordOff
assignArgumentsPos :: Outputable a => Convention -> (a -> CmmType) -> [a] -> ArgumentFormat a ByteOff
JD: For the new stack story, I want arguments passed on the stack to manifest as positive offsets in a CallArea, not negative offsets from the stack pointer. Also, I want byte offsets, not word offsets.
argumentsSize :: (a -> CmmType) -> [a] -> WordOff
Produced by Haddock version 2.6.1